Issue 3223

Summary: Margin adjustment in printer config
Product: General Reporter: andree <aleidenf>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: 641   
Target Milestone: ---   
Hardware: PC   
OS: Linux, all   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description andree 2002-02-26 22:52:12 UTC
Hi

I have three gripes with this:

o 'spadmin-><printer>->Properties...->Other Settings' does not allow for 
  negative adjustment values. IMHO it should as we want to correct the 
  printer-dependent distortion of page contents.

o 'spadmin-><printer>->Properties...->Other Settings' should say what it really
  is doing. So, rather than having the four margin adjustments, it should say 
  something like:

   ____________Distortion Correction____________
  |                                             |
  | Displacement:   X:_________  Y:_________    |
  |                                             |
  |      Scaling:   X:______%    Y:______%      |
  |_____________________________________________|

  IMHO this would better reflect the fact that we are correcting the error 
  introduced when doing the tranformation from 'logical' page (as defined 
  in the OO document) to 'physical' page (what comes out of the printer).
  Maybe having both would be best...

o When changing between my HP LJ1220N and my HP DJ930C I get a pop-up saying 
  'The page size has been modified. Should the new settings be saved in the 
  active document?.' 'Format->Page-Page' does show unchanged values, though, 
  which I believe is correct. Why does that message pop-up in the first place?
  My understanding of all this is that in the page settings of a document you 
  define what you want, eg. A4 paper and 20mm margin on all sides. In spadmin 
  you correct hardware-dependent distortion of the printout, ie. scaling and 
  displacement. Therefore, the 'logical' page size can not change by changing
  the printer which is reflected by the document values staying the same. So 
  what is actually changed? Only the printer! Therefore, no pop-up is needed.

I have two hopes:

1) That I made myself sufficiently clear. If not please let me know and I'll 
   again.

2) That I have not totally misunderstood the underlying design-principles. ;-)
   If so, I do apologise but would appreciate if someone could explain to me
   how things are supposed to be.

Thanks for your time & best regards
Andree
Comment 1 thorsten.martens 2002-02-27 08:52:30 UTC
TM->US: As talked to SBA, please have a look at this one. Thanks !
Comment 2 ulf.stroehler 2003-01-28 11:46:45 UTC
US:->Andree Leidenfrost: pls. do not submit collective bugs in the
future. These are hard to handle. Thx.
Anyway the settings for paper margins are read from the driver, more
precisely from the PPD (PostscriptPrinterDefinition file). Thus a
value of '0' indicates that the printer is capable to print without
any margins. With this in mind you probably do not want to be able to
adjust negative values any more.
Comment 3 andree 2003-07-22 13:04:53 UTC
This has been sitting here for a while, so:

As far as I am concerned, I definitely still want to be able to use
negative margins. Why? Well, it's much easier for me (as a user) to
fix the issue at hand by using a GUI tool like spadmin to adjust
things compared to messing around with a PPD file (or wait for the
manufacturer to fix it). If you assume PPDs are correct you don't need
the existing feature in the first place, right? So if it can be wrong
it can be wrong in both directions.

PS: I have written 1000 times 'I must not submit collective bugs.'
(using copy & paste ;-P) No seriously: Message understood. Sorry.
Comment 4 ace_dent 2008-05-16 02:40:39 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 5 bettina.haberer 2010-05-21 15:08:42 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".